Subject: bug#19901: closed (Fixed)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 18 Mar 2015 07:43:03 +0000

Your bug report

#19901: 24.4; gud-gdb: breakpoint hit covers *gud_gdb* buffer with breakpointed source buffer.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19901: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19901
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Fixed
From: Dima Kogan <[email-masked]>
To: [email-masked], [email-masked], [email-masked]
Date: Wed, 18 Mar 2015 00:41:42 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Fixed with this commit:

http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=fd93edbb1cabfdf0c732dbb0c6892a515b406a65

Subject: 24.4; gud-gdb: breakpoint hit covers *gud_gdb* buffer with breakpointed source buffer.
From: Paul K <[email-masked]>
To: [email-masked]
Date: Thu, 19 Feb 2015 10:47:42 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

1) prompt$ emacs -q  #. way I run emacs
2) I visit directory that contains binary I want to debug. It is on remote
linux box (so emacs uses tramp to open it).
2) M-x gud-gdb.
3) I set two breakpoints. Each of them is in different C++ source file.
4) I split my emacs frame into two windows. Upper window contains
*gud-proc* buffer. Lower window contains source file that contains second
breakpoint.
5) I start program
6) First breakpoint is hit.
     Crazy thing: emacs splits upper window into two windows, this time
veritcally. Upper left window contains *gud-proc*, while upper right
contains source file with first breakpoint.

     I'd expect lower window should display the source file that contains
first breakpoint instead. No new window should be created by emacs.

Am I wrong?

How to force emacs not to display another window?

Even worse case happens when I prevent emacs from vertical split with
following setting:
(setq split-width-threshold nil)

Then, at step 6 above, no new window is created, but instead, *gud-proc*
buffer, that is dislayed in upper window is replaced with source file that
keeps the first breakpoint.

Maybe these two problems have the same root cause.

In GNU Emacs 24.4.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.10.8)
 of 2015-01-09 on mymachine
Windowing system distributor `The X.Org Foundation', version 11.0.11501000
System Description:    Ubuntu 14.04.1 LTS

Configured using:
 `configure --with-x-toolkit=gtk3'

Important settings:
  value of $LC_MONETARY: pl_PL.UTF-8
  value of $LC_NUMERIC: pl_PL.UTF-8
  value of $LC_TIME: pl_PL.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: C++/l

Minor modes in effect:
  shell-dirtrack-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
<return> C-x b b i n <return> C-s SPC a b <up> <down>
<escape> x g u d - g d b <return> <escape> <backspace>
. / a b c <return> C-x r j a C-x C-a C-b C-x r j b
C-x C-a C-b C-x b * g u <tab> <return> r u n SPC -
t <return> C-c C-r <escape> x r e p o r t <tab> <r
eturn>

Recent messages:
#<marker at 45046 in fil1.cpp>
Mark saved where search started
Tramp: Opening connection for CentOs7 using scp...
Tramp: Sending command `exec ssh -q   -o
ControlPath=/tmp/tramp.15755Dwa.%r@%h:%p
-o ControlMaster=auto -o ControlPersist=no -e none CentOs7'
Tramp: Waiting for prompts from remote shell...done
Tramp: Found remote shell prompt on `CentOs7'
Tramp: Opening connection for CentOs7 using scp...done
Command: break client.cpp:32
Command: break fil1.cpp:1122
Command: cont

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rfc822 mml mml-sec mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
sendmail rfc2047 rfc2045 ietf-drums mail-utils gud easy-mmode misearch
multi-isearch dired-aux parse-time vc-cvs cc-langs cl-loaddefs cl-lib
cc-mode cc-fonts easymenu cc-guess cc-menus cc-cmds cc-styles cc-align
cc-engine cc-vars cc-defs dired tramp-cache tramp-sh tramp tramp-compat
auth-source eieio byte-opt bytecomp byte-compile cconv eieio-core
gnus-util mm-util mail-prsvr password-cache tramp-loaddefs trampver
shell pcomplete comint ansi-color ring format-spec advice help-fns
time-date tooltip electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list newcomment lisp-mode prog-mode register page menu-bar
rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax
facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak
czech european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer nadvice loaddefs button
faces cus-face macroexp files text-properties overlay sha1 md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process dbusbind gfilenotify dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty emacs)

Memory information:
((conses 16 149951 7862)
 (symbols 48 23665 0)
 (miscs 40 129 286)
 (strings 32 30151 5840)
 (string-bytes 1 978331)
 (vectors 16 17290)
 (vector-slots 8 531424 6213)
 (floats 8 422 240)
 (intervals 56 1576 0)
 (buffers 960 20)
 (heap 1024 44318 1127))